Package com.databricks.jdbc.api.impl.converters

## Class BitConverter

- java.lang.Object
- - com.databricks.jdbc.api.impl.converters.BitConverter

All Implemented Interfaces:
  `ObjectConverter`

    public class BitConverter
    extends Object
    implements ObjectConverter

### Field Summary

### Fields inherited from interface com.databricks.jdbc.api.impl.converters.ObjectConverter

`DEFAULT_TIMESTAMP_SCALE, POWERS_OF_TEN`

### Constructor Summary

Constructors
`BitConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `toBoolean​(Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.databricks.jdbc.api.impl.converters.ObjectConverter

`toAsciiStream, toBigDecimal, toBigDecimal, toBigInteger, toBinaryStream, toByte, toByteArray, toChar, toCharacterStream, toDate, toDouble, toFloat, toInt, toLocalDate, toLong, toShort, toString, toTimestamp, toTimestamp, toUnicodeStream`

### Constructor Detail

#### BitConverter

    public BitConverter()

### Method Detail

#### toBoolean

    public boolean toBoolean​(Object object)
                      throws DatabricksSQLException

Specified by:
  `toBoolean` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`